﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back" style="color:#fff;">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding"> إعادة تهيئة كلمة المرور</div>
    </div>
</div>

<div class="page-content">
    <div class="list-block">
        <div class="m-auto">
            <form name="$parent.ResetPasswordForm" ng-submit="submitForm($parent.ResetPasswordForm.$valid)" novalidate>
                <ul>
                    <li>
                        <div class="item-content" ng-class="submittedReset && resetPasswordReset && $parent.ResetPasswordForm.code.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="number" placeholder="الكود" name="code" ng-model="resetPassForm.code" required>
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedReset && resetPasswordReset && $parent.ResetPasswordForm.code.$error.required" class="error-block">يجب إدخال الكود</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedReset && resetPasswordReset && $parent.ResetPasswordForm.newPassword.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="password" placeholder="كلمة المرور الجديدة" name="newPassword" ng-model="resetPassForm.newPassword" required ng-minlength="6" ng-maxlength="30">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedReset && resetPasswordReset  && $parent.ResetPasswordForm.newPassword.$error.required" class="error-block">يجب إدخال كلمة السر</p>
                        <p ng-show="submittedReset && resetPasswordReset  && $parent.ResetPasswordForm.newPassword.$error.minlength" class="error-block">كلمة السر يجب ألا تقل عن ستة أحرف</p>
                        <p ng-show="submittedReset && resetPasswordReset  && $parent.ResetPasswordForm.newPassword.$error.maxlength" class="error-block">كلمة السر يجب ألا تزيد عن ثلاثين حرفا</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedReset && resetPasswordReset  && $parent.ResetPasswordForm.confrmNewPassword.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="password" placeholder="تأكيد كلمة المرور الجديدة" name="confrmNewPassword" ng-model="resetPassForm.confrmNewPassword" ng-pattern="resetPassForm.newPassword" required ng-minlength="6" ng-maxlength="30">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedReset && resetPasswordReset && $parent.ResetPasswordForm.confrmNewPassword.$error.required" class="error-block">يجب تأكيد كلمة السر</p>
                        <p ng-show="submittedReset && resetPasswordReset && $parent.ResetPasswordForm.confrmNewPassword.$error.minlength" class="error-block">كلمة السر يجب ألا تقل عن ستة أحرف</p>
                        <p ng-show="submittedReset && resetPasswordReset && $parent.ResetPasswordForm.confrmNewPassword.$error.maxlength" class="error-block">كلمة السر يجب ألا تزيد عن ثلاثين حرفا</p>
                        <p ng-show="submittedReset && resetPasswordReset && $parent.ResetPasswordForm.confrmNewPassword.$error.pattern" class="error-block">كلمتا السر غير متطابقتين</p>
                    </li>
                </ul>
                <p>
                    <button type="submit" ng-click="submittedReset=true" class="button button-fill button-rounded centered-100 m-auto">تغيير كلمة المرور</button>
                </p>
                <p>
                    <a ng-click="GoBack()" class="button button-fill button-rounded centered-100 m-auto">عودة</a>
                </p>
            </form>
        </div>
    </div>
</div>